{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}

{% block body %}
    <div class="card-genossys">
        <h5>Kategori</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" onclick="modalAdd()" href="#!">Tambah Kategori</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="p-3">

    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="formCategori">
                    <input id="id" name="id" hidden >
                    <input id="action" name="action" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Form Kategori</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="subjek">Nama Kategori : </label>
                            <input type="text" class="form-control" id="name" name="name" placeholder="Nama Kategori">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>

    <script>
        $(document).ready(function () {


            var fr = $('#formCategori');
            fr.submit(async function (e) {
                e.preventDefault(e);
                var formData = new FormData(this);

                alertify.confirm("Tambah Data Admin", "Apakah data yang anda masukkan sudah benar ?",
                    async function () {

                        console.log(formData);

                        $.ajax({
                            type: "POST",
                            success: function (data) {
                                window.location.reload();
                            },
                            error: function (error) {
                                console.log("LOG ERROR", error);
                                // handle error
                            },
                            async: true,
                            data: formData,
                            cache: false,
                            contentType: false,
                            processData: false,
                            timeout: 60000
                        })
                    }, function () {

                    }
                )


            });

        });
        function modalAdd() {
            $('#modal #id').val('');
            $('#modal #action').val('add');
            $('#modal #name').val('');

            $('#modal').modal();
        }

        $(document).on('click', 'a#editData', function () {
            $('#modal #id').val($(this).data('id'));
            $('#modal #action').val('edit');
            $('#modal #name').val($(this).data('name'));

            $('#modal').modal();
        });

        function addData() {

        }


    </script>
    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}
{% endblock %}